### org.jfree.layouting.output.pageable

# Interface PageableOutputProcessor

All Superinterfaces:
  OutputProcessor

Known Implementing Classes:
  AbstractPageableProcessor, GraphicsOutputProcessor, PageableHtmlOutputProcessor, PdfOutputProcessor

`public interface PageableOutputProcessor`
`extends OutputProcessor`

A pageable processor generates zero or more *pysical* pages per event. For the sake of performance, an PageableOutputProcessor should implement some sort of caching so that requesting pages from the same chunk does not result in a full recomputation.

For each logical page, a set of one or more physical pages is generated. The pageable output processor allows to query pages by their logical page number and by their physical number.

The page content should not be exposed to the caller.

An output processor has a page cursor attached. The cursor is used to synchronize restarted input-feeds with the current output state.

Author:
  Thomas Morgner

  ## Method Summary

  `PhysicalPageKey`

  `getPhysicalPage(int page)`

  `int`

  `getPhysicalPageCount()`

  ### Methods inherited from interface org.jfree.layouting.output.OutputProcessor

  `createInputFeed`, `createModelBuilder`, `createNormalizer`, `createRenderer`, `getConfiguration`, `getLogicalPage`, `getLogicalPageCount`, `getMetaData`, `getPageCursor`, `isContentGeneratable`, `isGlobalStateComputed`, `isPaginationFinished`, `processContent`, `processDocumentMetaData`, `processingFinished`, `setPageCursor`

## Method Details

### getPhysicalPage

    public PhysicalPageKey getPhysicalPage(int page)

### getPhysicalPageCount

    public int getPhysicalPageCount()